
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 31.03.2001

class Mode
{
	final public static int
		audio = 0,
		data = 1;

	final public static int
		copy = 0,
		current = 1,
		server = 2;

	static int
		source = current,
		type = data;

	static boolean
		makeImage = true,
		store = false;

	static boolean audioCD()
	{
		return type == audio;
	}

	static boolean burnImageFile()
	{
		return type == data && !makeImage;
	}

	static boolean copyCD()
	{
		return source == copy;
	}

	static boolean makeISOImage()
	{
		return source != copy && type == data && makeImage;
	}

	static void reset()
	{
		source = current;
		type = data;
		makeImage = true;
		store = false;
	}

	static boolean serverSession()
	{
		return source == server;
	}
}
